# PDFFromDocumentParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

PDFFromDocumentParams.new({required String documentID, required PdfConfiguration pdfConfiguration, OcrOptions? ocrConfiguration})

## Properties

documentID ↔ String
  The ID of the document for which the PDF file will be created.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
ocrConfiguration ↔ OcrOptions?
  Set OCR configuration for the file that is created.
  getter/setter pair
pdfConfiguration ↔ PdfConfiguration
  Options for the PDF file that is created.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited